declare type PropertyValue<T> = 'inherit' | 'initial' | 'revert' | 'unset' | T | (string & {});
export declare type Property<T = void> = PropertyValue<T> | [PropertyValue<T>, boolean];
declare namespace Props {
    type BasicColors = 'aqua' | 'black' | 'blue' | 'fuchsia' | 'gray' | 'green' | 'grey' | 'lime' | 'maroon' | 'navy' | 'olive' | 'purple' | 'red' | 'silver' | 'teal' | 'white' | 'yellow';
    type ExtendedColors = 'aliceblue' | 'antiquewhite' | 'aquamarine' | 'azure' | 'beige' | 'bisque' | 'blanchedalmond' | 'blueviolet' | 'brown' | 'burlywood' | 'cadetblue' | 'chartreuse' | 'chocolate' | 'coral' | 'cornflowerblue' | 'cornsilk' | 'crimson' | 'cyan' | 'darkblue' | 'darkcyan' | 'darkgoldenrod' | 'darkgray' | 'darkgreen' | 'darkgrey' | 'darkkhaki' | 'darkmagenta' | 'darkolivegreen' | 'darkorange' | 'darkorchid' | 'darkred' | 'darksalmon' | 'darkseagreen' | 'darkslateblue' | 'darkslategray' | 'darkslategrey' | 'darkturquoise' | 'darkviolet' | 'deeppink' | 'deepskyblue' | 'dimgray' | 'dimgrey' | 'dodgerblue' | 'firebrick' | 'floralwhite' | 'forestgreen' | 'gainsboro' | 'ghostwhite' | 'gold' | 'goldenrod' | 'greenyellow' | 'honeydew' | 'hotpink' | 'indianred' | 'indigo' | 'ivory' | 'khaki' | 'lavender' | 'lavenderblush' | 'lawngreen' | 'lemonchiffon' | 'lightblue' | 'lightcoral' | 'lightcyan' | 'lightgoldenrodyellow' | 'lightgray' | 'lightgreen' | 'lightgrey' | 'lightpink' | 'lightsalmon' | 'lightseagreen' | 'lightskyblue' | 'lightslategray' | 'lightslategrey' | 'lightsteelblue' | 'lightyellow' | 'limegreen' | 'linen' | 'magenta' | 'mediumaquamarine' | 'mediumblue' | 'mediumorchid' | 'mediumpurple' | 'mediumseagreen' | 'mediumslateblue' | 'mediumspringgreen' | 'mediumturquoise' | 'mediumvioletred' | 'midnightblue' | 'mintcream' | 'mistyrose' | 'moccasin' | 'navajowhite' | 'oldlace' | 'olivedrab' | 'orange' | 'orangered' | 'orchid' | 'palegoldenrod' | 'palegreen' | 'paleturquoise' | 'palevioletred' | 'papayawhip' | 'peachpuff' | 'peru' | 'pink' | 'plum' | 'powderblue' | 'rebeccapurple' | 'rosybrown' | 'royalblue' | 'saddlebrown' | 'salmon' | 'sandybrown' | 'seagreen' | 'seashell' | 'sienna' | 'skyblue' | 'slateblue' | 'slategray' | 'slategrey' | 'snow' | 'springgreen' | 'steelblue' | 'tan' | 'thistle' | 'tomato' | 'turquoise' | 'violet' | 'wheat' | 'whitesmoke' | 'yellowgreen';
    type Gradient = 'linear-gradient()' | 'radial-gradient()' | 'repeating-linear-gradient()' | 'repeating-radial-gradient()';
    type SystemColors = 'ActiveBorder' | 'ActiveCaption' | 'AppWorkspace' | 'Background' | 'ButtonFace' | 'ButtonHighlight' | 'ButtonShadow' | 'ButtonText' | 'CaptionText' | 'GrayText' | 'Highlight' | 'HighlightText' | 'InactiveBorder' | 'InactiveCaption' | 'InactiveCaptionText' | 'InfoBackground' | 'InfoText' | 'Menu' | 'MenuText' | 'Scrollbar' | 'ThreeDDarkShadow' | 'ThreeDFace' | 'ThreeDHighlight' | 'ThreeDLightShadow' | 'ThreeDShadow' | 'Window' | 'WindowFrame' | 'WindowText';
    export type BaselinePosition = 'baseline';
    export type BasicShape = 'circle()' | 'ellipse()' | 'inset()' | 'none' | 'polygon()';
    export type BgSize = number | 'auto' | 'contain' | 'cover';
    export type BlendMode = 'color' | 'color-burn' | 'color-dodge' | 'darken' | 'difference' | 'exclusion' | 'hard-light' | 'hue' | 'lighten' | 'luminosity' | 'multiply' | 'normal' | 'overlay' | 'saturation' | 'screen' | 'soft-light';
    export type Box = 'border-box' | 'content-box' | 'padding-box';
    export type Color = BasicColors | ExtendedColors | SystemColors | 'currentColor' | 'currentcolor' | 'transparent';
    export type ContentDistribution = 'space-around' | 'space-between' | 'space-evenly' | 'stretch';
    export type ContentPosition = 'center' | 'end' | 'flex-end' | 'flex-start' | 'start';
    export type GeometryBox = ShapeBox | 'fill-box' | 'stroke-box' | 'view-box';
    export type Image = Url | Gradient;
    export type LineStyle = 'dashed' | 'dotted' | 'double' | 'groove' | 'hidden' | 'inset' | 'none' | 'outset' | 'ridge' | 'solid';
    export type LineWidth = number | 'medium' | 'thick' | 'thin';
    export type Position = number | 'bottom' | 'center' | 'left' | 'right' | 'top';
    export type RepeatStyle = 'no-round' | 'repeat' | 'repeat-x' | 'repeat-y' | 'round' | 'space';
    export type SelfPosition = 'center' | 'end' | 'flex-end' | 'flex-start' | 'self-end' | 'self-start' | 'start';
    export type ShapeBox = Box | 'margin-box';
    export type Url = 'url()';
    export type TimingFunction = 'cubic-bezier()' | 'ease' | 'ease-in' | 'ease-in-out' | 'ease-out' | 'linear' | 'step-end' | 'step-start' | 'steps()';
    export type TrackSize = number | 'auto' | 'max-content' | 'min-content' | 'minmax()' | 'none' | 'repat()';
    export {};
}
declare type AccentColor = Props.Color | 'auto';
declare type AlignContent = Props.BaselinePosition | Props.ContentDistribution | Props.ContentPosition | 'normal';
declare type AlignItems = Props.BaselinePosition | Props.SelfPosition | 'normal' | 'stretch';
export declare type AlignSelf = Props.BaselinePosition | Props.SelfPosition | 'auto' | 'normal' | 'stretch';
declare type AlignmentBaseline = 'alphabetic' | 'baseline' | 'central' | 'ideographic' | 'mathematical' | 'middle' | 'text-bottom' | 'text-top';
declare type Animation = number | 'auto' | 'none';
declare type AnimationDelay = number;
declare type AnimationDirection = 'alternate' | 'alternate-reverse' | 'normal' | 'reverse';
declare type AnimationDuration = number;
declare type AnimationFillMode = 'backwards' | 'both' | 'forwards' | 'none';
declare type AnimationIterationCount = number | 'infinite';
declare type AnimationName = 'auto' | 'none';
declare type AnimationPlayState = 'paused' | 'running';
declare type AnimationTimingFunction = Props.TimingFunction;
declare type Appearance = 'auto' | 'button' | 'checkbox' | 'desktop' | 'dialogue' | 'document' | 'field' | 'hyperlink' | 'icon' | 'inherit' | 'initial' | 'menu' | 'menu-item' | 'menubar' | 'none' | 'outline-tree' | 'password' | 'push-button' | 'radio-button' | 'range' | 'signature' | 'tab' | 'tooltip' | 'window' | 'workspace';
declare type AspectRatio = number | 'auto';
declare type BackfaceVisibility = 'hidden' | 'visible';
declare type Background = BackgroundAttachment | BackgroundBlendMode | BackgroundClip | BackgroundColor | BackgroundImage | BackgroundOrigin | BackgroundPosition | BackgroundRepeat;
declare type BackgroundAttachment = 'fixed' | 'local' | 'scroll';
declare type BackgroundBlendMode = Props.BlendMode;
declare type BackgroundClip = Props.Box;
declare type BackgroundColor = Props.Color;
declare type BackgroundImage = Props.Image | 'none';
declare type BackgroundOrigin = Props.Box;
declare type BackgroundPosition = Props.Position;
declare type BackgroundPositionX = number | 'center' | 'left' | 'right';
declare type BackgroundPositionY = number | 'bottom' | 'center' | 'top';
declare type BackgroundRepeat = Props.RepeatStyle;
declare type BackgroundRepeatAxis = 'no-repeat' | 'repeat';
declare type BackgroundSize = Props.BgSize;
declare type BaselineShift = number | 'baseline' | 'sub' | 'super';
declare type Border = BorderColor | BorderStyle | BorderWidth;
declare type BorderCollapse = 'collapse' | 'separate';
declare type BorderColor = Props.Color;
declare type BorderImage = BorderImageOutset | BorderImageRepeat | BorderImageSlice | BorderImageSource | BorderImageWidth;
declare type BorderImageOutset = number;
declare type BorderImageRepeat = 'repeat' | 'round' | 'space' | 'stretch';
declare type BorderImageSlice = number | 'fill';
declare type BorderImageSource = Props.Image | 'none';
declare type BorderImageWidth = number;
declare type BorderRadius = number;
declare type BorderSpacing = number;
declare type BorderStyle = Props.LineStyle;
declare type BorderWidth = Props.LineWidth;
declare type BoxDecorationBreak = 'clone' | 'slice';
declare type BoxShadow = 'none';
declare type BoxSizing = 'border-box' | 'content-box';
declare type Break = 'all' | 'always' | 'auto' | 'avoid' | 'avoid-column' | 'avoid-page' | 'avoid-region' | 'column' | 'left' | 'page' | 'recto' | 'region' | 'right' | 'verso';
declare type BreakInside = 'auto' | 'avoid' | 'avoid-column' | 'avoid-page' | 'avoid-region';
declare type CaptionSide = 'bottom' | 'top';
declare type Caret = CaretColor | CaretShape;
declare type CaretColor = Props.Color | 'auto';
declare type CaretShape = 'auto' | 'bar' | 'block' | 'underscore';
declare type Clear = 'both' | 'left' | 'right' | 'none';
declare type Clip = 'auto' | 'rect()';
declare type ClipPath = Props.BasicShape | Props.GeometryBox | 'none';
declare type ClipRule = 'evenodd' | 'nonzero';
declare type Color = Props.Color;
declare type ColorAdjust = 'economy' | 'exact';
declare type ColorInterpolation = 'auto' | 'linearrgb' | 'linearRGB' | 'srgb' | 'sRGB';
declare type ColorScheme = 'dark' | 'light' | 'normal';
declare type ColumnCount = number | 'auto';
declare type ColumnFill = 'auto' | 'balance';
declare type ColumnRule = ColumnRuleColor | ColumnRuleStyle | ColumnRuleWidth;
declare type ColumnRuleColor = Props.Color;
declare type ColumnRuleStyle = Props.LineStyle;
declare type ColumnRuleWidth = Props.LineWidth;
declare type ColumnSpan = 'all' | 'none';
declare type ColumnWidth = number | 'auto';
declare type Columns = ColumnCount | ColumnWidth;
declare type Contain = 'block-size' | 'content' | 'inline-size' | 'layout' | 'none' | 'paint' | 'size' | 'strict' | 'style';
declare type ContainIntrinsicSize = number | 'auto' | 'none';
declare type ContentVisibility = 'auto' | 'hidden' | 'visible';
declare type Counter = number | 'auto' | 'none';
declare type Cursor = 'alias' | 'all-scroll' | 'auto' | 'cell' | 'col-resize' | 'context-menu' | 'copy' | 'crosshair' | 'default' | 'e-resize' | 'ew-resize' | 'grab' | 'grabbing' | 'help' | 'move' | 'n-resize' | 'ne-resize' | 'nesw-resize' | 'no-drop' | 'none' | 'not-allowed' | 'ns-resize' | 'nw-resize' | 'nwse-resize' | 'pointer' | 'progress' | 'row-resize' | 's-resize' | 'se-resize' | 'sw-resize' | 'text' | 'vertical-text' | 'w-resize' | 'wait' | 'zoom-in' | 'zoom-out';
declare type Dimension = number | 'auto';
declare type Direction = 'ltr' | 'rtl';
declare type Display = 'block' | 'contents' | 'flex' | 'flow-root' | 'grid' | 'inline' | 'inline-block' | 'inline-flex' | 'inline-grid' | 'inline-table' | 'list-item' | 'none' | 'run-in' | 'table' | 'table-caption' | 'table-cell' | 'table-column' | 'table-column-group' | 'table-footer-group' | 'table-header-group' | 'table-row' | 'table-row-group';
declare type DominantBaseline = 'alphabetic' | 'auto' | 'central' | 'hanging' | 'ideographic' | 'mathematical' | 'middle' | 'text-bottom' | 'text-top';
declare type Elevation = 'above' | 'below' | 'higher' | 'level' | 'lower';
declare type EmptyCells = 'hide' | 'show';
declare type Fill = Props.Url | Color;
declare type FillOpacity = number;
declare type FillRule = 'evenodd' | 'nonzero';
declare type Filter = Props.Url | 'blur()' | 'brightness()' | 'contrast()' | 'drop-shadow()' | 'grayscale()' | 'hue-rotate()' | 'invert()' | 'none' | 'opacity()' | 'saturate()' | 'sepia()';
export declare type Flex = FlexBasis | FlexGrow | FlexShrink | 'none';
export declare type FlexBasis = number | 'auto';
declare type FlexDirection = 'column' | 'column-reverse' | 'row' | 'row-reverse';
declare type FlexFlow = FlexDirection | FlexWrap;
export declare type FlexGrow = number;
export declare type FlexShrink = number;
declare type FlexWrap = 'nowrap' | 'wrap' | 'wrap-reverse';
declare type Float = 'inline-end' | 'inline-start' | 'left' | 'right' | 'none';
declare type FloodColor = Color;
declare type FloodOpacity = number;
declare type Font = number | 'caption' | 'icon' | 'menu' | 'message-box' | 'small-caption' | 'status-bar';
declare type FontFamily = 'auto' | 'cursive' | 'emoji' | 'fangsong' | 'fantasy' | 'math' | 'monospace' | 'none' | 'sans-serif' | 'serif' | 'system-ui' | 'ui-monospace' | 'ui-rounded' | 'ui-sans-serif' | 'ui-serif';
declare type FontFeatureSettings = 'normal';
declare type FontKerning = 'auto' | 'normal' | 'none';
declare type FontLanguageOverride = 'normal';
declare type FontOpticalSizing = 'auto' | 'none';
declare type FontSize = number | 'large' | 'larger' | 'medium' | 'small' | 'smaller' | 'x-large' | 'x-small' | 'xx-large' | 'xx-small';
declare type FontSizeAdjust = number | 'none';
declare type FontStretch = number | 'condensed' | 'expanded' | 'extra-condensed' | 'extra-expanded' | 'normal' | 'semi-condensed' | 'semi-expanded' | 'ultra-condensed' | 'ultra-expanded';
declare type FontStyle = 'italic' | 'normal' | 'oblique';
declare type FontSynthesis = 'none' | 'small-caps' | 'style' | 'weight';
declare type FontVariant = FontVariantCaps | FontVariantEastAsian | FontVariantLigatures | FontVariantNumeric;
declare type FontVariantCaps = 'all-petite-caps' | 'all-small-caps' | 'normal' | 'petite-caps' | 'small-caps' | 'titling-caps' | 'unicase';
declare type FontVariantEastAsian = 'full-width' | 'jis04' | 'jis78' | 'jis83' | 'jis90' | 'normal' | 'proportional-width' | 'ruby' | 'simplified' | 'traditional';
declare type FontVariantLigatures = 'common-ligatures' | 'contextual' | 'discretionary-ligatures' | 'historical-ligatures' | 'no-common-ligatures' | 'no-contextual' | 'no-discretionary-ligatures' | 'no-historical-ligatures' | 'none' | 'normal';
declare type FontVariantNumeric = 'diagonal-fractions' | 'lining-nums' | 'normal' | 'oldstyle-nums' | 'ordinal' | 'proportional-nums' | 'slashed-zero' | 'stacked-fractions' | 'tabular-nums';
declare type FontVariantPosition = 'normal' | 'sub' | 'super';
declare type FontVariationSettings = 'normal';
declare type FontWeight = number | '100' | '200' | '300' | '400' | '500' | '600' | '700' | '800' | '900' | 'bold' | 'bolder' | 'lighter' | 'normal';
declare type ForcedColorAdjust = 'auto' | 'none';
declare type Gap = number | 'normal';
declare type GlyphOrientationVertical = number | 'auto';
declare type Grid = GridAutoColumns | GridAutoRows | GridTemplate | GridTemplateColumns | GridTemplateRows;
declare type GridArea = number | 'auto' | 'none';
declare type GridAutoColumns = Props.TrackSize;
declare type GridAutoFlow = 'column' | 'dense' | 'row';
declare type GridAutoRows = Props.TrackSize;
declare type GridLine = number | 'auto' | 'normal' | 'none';
declare type GridTemplate = 'none';
declare type GridTemplateColumns = Props.TrackSize;
declare type GridTemplateRows = Props.TrackSize;
declare type HangingPunctuation = 'allow-end' | 'first' | 'force-end' | 'last' | 'none';
declare type Hyphens = 'auto' | 'manual' | 'none';
declare type ImageOrientation = 'none';
declare type ImageRendering = 'auto' | 'optimizequality' | 'optimizespeed' | 'pixelated';
declare type ImageResolution = 'from-image';
declare type InitialLetter = number | 'drop' | 'normal' | 'raise';
declare type InlineSize = Size;
declare type Inset = Dimension;
declare type Isolation = 'auto' | 'isolate';
declare type JustifyContent = Props.ContentDistribution | Props.ContentPosition | 'left' | 'right' | 'normal';
declare type JustifyItems = Props.BaselinePosition | Props.SelfPosition | 'left' | 'legacy' | 'right' | 'normal' | 'stretch';
declare type JustifySelf = Props.BaselinePosition | Props.SelfPosition | 'auto' | 'left' | 'right' | 'normal' | 'stretch';
declare type LetterSpacing = number | 'normal';
declare type LightingColor = Color;
declare type LineBreak = 'anywhere' | 'auto' | 'loose' | 'normal' | 'strict';
declare type LineClamp = number | 'auto' | 'none';
declare type LineHeight = number | 'normal';
declare type LineHeightStep = number | 'none';
declare type ListStyle = ListStyleImage | ListStylePosition | ListStyleType;
declare type ListStyleImage = Props.Url | 'none';
declare type ListStylePosition = 'inside' | 'outside';
declare type ListStyleType = 'armenian' | 'circle' | 'decimal' | 'decimal-leading-zero' | 'disc' | 'georgian' | 'lower-alpha' | 'lower-greek' | 'lower-latin' | 'lower-roman' | 'none' | 'square' | 'upper-alpha' | 'upper-latin' | 'upper-roman';
export declare type Margin = number | 'auto';
declare type Marker = Props.Url | 'none';
declare type Mask = MaskClip | MaskComposite | MaskReference | MaskMode | MaskOrigin | MaskPosition | MaskRepeat | MaskType;
declare type MaskBorder = MaskBorderMode | MaskBorderOutset | MaskBorderRepeat | MaskBorderSlice | MaskBorderSource | MaskBorderWidth;
declare type MaskBorderMode = 'alpha' | 'luminance';
declare type MaskBorderOutset = number;
declare type MaskBorderRepeat = 'repeat' | 'round' | 'space' | 'stretch';
declare type MaskBorderSlice = number;
declare type MaskBorderSource = 'none';
declare type MaskBorderWidth = Dimension;
declare type MaskClip = Props.GeometryBox | 'no-clip';
declare type MaskComposite = 'add' | 'exclude' | 'intersect' | 'subtract';
declare type MaskReference = Props.Image;
declare type MaskMode = 'alpha' | 'luminance' | 'match-source';
declare type MaskOrigin = Props.GeometryBox;
declare type MaskPosition = Props.Position;
declare type MaskRepeat = Props.RepeatStyle;
declare type MaskType = 'alpha' | 'luminance';
declare type MaxLines = number | 'none';
declare type MixBlendMode = Props.BlendMode;
declare type ObjectFit = 'contain' | 'cover' | 'fill' | 'none' | 'scale-down';
declare type ObjectPosition = Props.Position;
declare type Offset = OffsetAnchor | OffsetDistance | OffsetPath | 'none';
declare type OffsetAnchor = Props.Position | 'auto';
declare type OffsetDistance = number;
declare type OffsetPath = Props.BasicShape | Props.Url | 'path()' | 'ray()';
declare type OffsetPosition = Props.Position | 'auto';
declare type OffsetRotate = 'auto' | 'reverse';
declare type Opacity = number;
export declare type Order = number;
declare type Orphans = number;
declare type Outline = OutlineColor | OutlineStyle | OutlineWidth;
declare type OutlineColor = Props.Color | 'invert';
declare type OutlineOffset = number;
declare type OutlineStyle = Props.LineStyle | 'auto';
declare type OutlineWidth = Props.LineWidth;
declare type Overflow = 'auto' | 'clip' | 'hidden' | 'scroll' | 'visible';
declare type OverflowAnchor = 'auto' | 'none';
declare type OverflowClipMargin = number;
declare type OverflowWrap = 'anywhere' | 'break-word' | 'none';
declare type OverscrollBehavior = 'auto' | 'contain' | 'none';
declare type Padding = number;
declare type PageBreak = 'always' | 'auto' | 'avoid' | 'left' | 'right';
declare type PageBreakInside = 'auto' | 'avoid';
declare type Perspective = number | 'none';
declare type PerspectiveOrigin = Props.Position;
declare type PlaceContent = AlignContent | JustifyContent;
declare type PlaceItems = AlignItems | JustifyItems;
declare type PlaceSelf = AlignSelf | JustifySelf;
declare type PointerEvents = 'all' | 'auto' | 'bounding-box' | 'fill' | 'none' | 'painted' | 'stroke' | 'visible' | 'visiblefill' | 'visiblepainted' | 'visiblestroke';
declare type Position = 'absolute' | 'fixed' | 'relative' | 'static' | 'sticky';
declare type Quotes = 'auto' | 'none';
export declare type Resize = 'block' | 'both' | 'horizontal' | 'inline' | 'none' | 'vertical';
declare type RubyAlign = 'center' | 'space-around' | 'space-between' | 'start';
declare type RubyMerge = 'auto' | 'merge' | 'separate';
declare type RubyPosition = 'alternate' | 'inter-character' | 'over' | 'under';
declare type ScrollBehavior = 'auto' | 'smooth';
declare type ScrollMargin = number;
declare type ScrollPadding = Dimension;
declare type ScrollSnapAlign = 'center' | 'end' | 'none' | 'start';
declare type ScrollSnapStop = 'always' | 'normal';
declare type ScrollSnapType = 'block' | 'both' | 'inline' | 'mandatory' | 'none' | 'proximity' | 'x' | 'y';
declare type ScrollbarColor = Color | 'auto';
declare type ScrollbarGutter = 'always' | 'auto' | 'both' | 'force' | 'stable';
declare type ScrollbarWidth = 'auto' | 'none' | 'thin';
declare type ShapeImageThreshold = number;
declare type ShapeMargin = number;
declare type ShapeOutside = Props.BasicShape | Props.ShapeBox | Props.Image | 'none';
export declare type Size = number | 'auto' | 'fit-content' | 'max-content' | 'min-content';
declare type Speak = 'digits' | 'literal-punctuation' | 'no-punctuation' | 'none' | 'normal' | 'spell-out';
declare type Stroke = Props.Url | Color;
declare type StrokeDasharray = number | 'none';
declare type StrokeDashoffset = number;
declare type StrokeLinecap = 'butt' | 'round' | 'square';
declare type StrokeLinejoin = 'arcs' | 'bevel' | 'miter' | 'miter-clip' | 'round';
declare type StrokeMiterlimit = number;
declare type StrokeOpacity = number;
declare type StrokeWidth = number;
declare type TabSize = number;
declare type TableLayout = 'auto' | 'fixed';
declare type TextAlign = 'center' | 'end' | 'justify' | 'left' | 'match-parent' | 'right' | 'start';
declare type TextAlignLast = TextAlign | 'auto';
declare type TextCombineUpright = number | 'all' | 'none';
declare type TextDecoration = TextDecorationColor | TextDecorationLine | TextDecorationStyle | TextDecorationThickness;
declare type TextDecorationColor = Color;
declare type TextDecorationLine = 'blink' | 'grammar-error' | 'line-through' | 'none' | 'overline' | 'spelling-error' | 'underline';
declare type TextDecorationSkipInk = 'all' | 'auto' | 'none';
declare type TextDecorationStyle = 'dashed' | 'dotted' | 'double' | 'solid' | 'wavy';
declare type TextDecorationThickness = number | 'auto' | 'from-font';
declare type TextEmphasis = TextEmphasisColor | TextEmphasisStyle;
declare type TextEmphasisColor = Color;
declare type TextEmphasisPosition = 'left' | 'right' | 'over' | 'under';
declare type TextEmphasisStyle = 'circle' | 'dot' | 'double-circle' | 'filled' | 'none' | 'open' | 'sesame' | 'triangle';
declare type TextIndent = number;
declare type TextJustify = 'auto' | 'inter-character' | 'inter-word' | 'none';
declare type TextOrientation = 'mixed' | 'sideways' | 'sideways-right' | 'upright';
declare type TextOverflow = 'clip' | 'ellipsis';
declare type TextShadow = Color | number | 'none';
declare type TextTransform = 'capitalize' | 'lowercase' | 'none' | 'uppercase';
declare type TextUnderlineOffset = number | 'auto';
declare type TextUnderlinePosition = 'auto' | 'from-font' | 'left' | 'right' | 'under';
declare type Transform = 'matrix()' | 'matrix3d()' | 'none' | 'perspective()' | 'rotate()' | 'rotate3d()' | 'rotateX()' | 'rotateY()' | 'rotateZ()' | 'scale()' | 'scale3d()' | 'scaleX()' | 'scaleY()' | 'skew()' | 'skewX()' | 'skewY()' | 'translate()' | 'translate3d()' | 'translateX()' | 'translateY()' | 'translateZ()';
declare type TransformBox = 'border-box' | 'content-box' | 'fill-box' | 'stroke-box' | 'view-box';
declare type TransformOrigin = Props.Position;
declare type TransformStyle = 'flat' | 'preserve-3d';
declare type Transition = TransitionDelay | TransitionDuration | TransitionProperty | TransitionTimingFunction;
declare type TransitionDelay = number;
declare type TransitionDuration = number;
declare type TransitionProperty = 'all' | 'none';
declare type TransitionTimingFunction = Props.TimingFunction;
declare type UnicodeBidi = 'bidi-override' | 'embed' | 'normal' | 'plaintext' | 'isolate' | 'isolate-override';
declare type UserSelect = 'all' | 'auto' | 'contain' | 'element' | 'none' | 'text';
declare type VerticalAlign = BaselineShift | 'bottom' | 'middle' | 'text-bottom' | 'text-top' | 'top';
declare type Visibility = 'collapse' | 'hidden' | 'visible';
declare type WhiteSpace = 'break-space' | 'pre' | 'pre-line' | 'pre-wrap' | 'normal' | 'nowrap';
declare type Widows = number;
declare type WillChange = 'auto';
declare type WordBreak = 'break-all' | 'break-word' | 'keep-all' | 'none';
declare type WordSpacing = number | 'normal';
declare type WordWrap = 'anywhere' | 'break-word' | 'normal';
declare type WritingMode = 'horizontal-tb' | 'sideways-lr' | 'sideways-rl' | 'vertical-lr' | 'vertical-rl';
declare type ZIndex = number | 'auto';
export default interface CSSProperties {
    accentColor?: Property<AccentColor>;
    alignContent?: Property<AlignContent>;
    alignItems?: Property<AlignItems>;
    alignSelf?: Property<AlignSelf>;
    alignmentBaseline?: Property<AlignmentBaseline>;
    all?: Property;
    animation?: Property<Animation>;
    animationDelay?: Property<AnimationDelay>;
    animationDirection?: Property<AnimationDirection>;
    animationDuration?: Property<AnimationDuration>;
    animationFillMode?: Property<AnimationFillMode>;
    animationIterationCount?: Property<AnimationIterationCount>;
    animationName?: Property<AnimationName>;
    animationPlayState?: Property<AnimationPlayState>;
    animationTimingFunction?: Property<AnimationTimingFunction>;
    appearance?: Property<Appearance>;
    aspectRadio?: Property<AspectRatio>;
    backfaceVisibility?: Property<BackfaceVisibility>;
    background?: Property<Background>;
    backgroundAttachment?: Property<BackgroundAttachment>;
    backgroundBlendMode?: Property<BackgroundBlendMode>;
    backgroundClip?: Property<BackgroundClip>;
    backgroundColor?: Property<BackgroundColor>;
    backgroundImage?: Property<BackgroundImage>;
    backgroundOrigin?: Property<BackgroundOrigin>;
    backgroundPosition?: Property<BackgroundPosition>;
    backgroundPositionX?: Property<BackgroundPositionX>;
    backgroundPositionY?: Property<BackgroundPositionY>;
    backgroundRepeat?: Property<BackgroundRepeat>;
    backgroundRepeatX?: Property<BackgroundRepeatAxis>;
    backgroundRepeatY?: Property<BackgroundRepeatAxis>;
    backgroundSize?: Property<BackgroundSize>;
    baselineShift?: Property<BaselineShift>;
    blockSize?: Property<Size>;
    border?: Property<Border>;
    borderBlock?: Property<Border>;
    borderBlockColor?: Property<BorderColor>;
    borderBlockEnd?: Property<Border>;
    borderBlockEndColor?: Property<BorderColor>;
    borderBlockEndStyle?: Property<BorderStyle>;
    borderBlockEndWidth?: Property<BorderWidth>;
    borderBlockStart?: Property<Border>;
    borderBlockStartColor?: Property<BorderColor>;
    borderBlockStartStyle?: Property<BorderStyle>;
    borderBlockStartWidth?: Property<BorderWidth>;
    borderBlockStyle?: Property<BorderStyle>;
    borderBlockWidth?: Property<BorderWidth>;
    borderBottom?: Property<Border>;
    borderBottomColor?: Property<BorderColor>;
    borderBottomLeftRadius?: Property<BorderRadius>;
    borderBottomRadius?: Property<BorderRadius>;
    borderBottomRightRadius?: Property<BorderRadius>;
    borderBottomStyle?: Property<BorderStyle>;
    borderBottomWidth?: Property<BorderWidth>;
    borderCollapse?: Property<BorderCollapse>;
    borderColor?: Property<BorderColor>;
    borderEndEndRadius?: Property<BorderRadius>;
    borderEndStartRadius?: Property<BorderRadius>;
    borderImage?: Property<BorderImage>;
    borderImageOutset?: Property<BorderImageOutset>;
    borderImageRepeat?: Property<BorderImageRepeat>;
    borderImageSlice?: Property<BorderImageSlice>;
    borderImageSource?: Property<BorderImageSource>;
    borderImageWidth?: Property<BorderImageWidth>;
    borderInline?: Property<Border>;
    borderInlineColor?: Property<BorderColor>;
    borderInlineEnd?: Property<Border>;
    borderInlineEndColor?: Property<BorderColor>;
    borderInlineEndStyle?: Property<BorderStyle>;
    borderInlineEndWidth?: Property<BorderWidth>;
    borderInlineStart?: Property<Border>;
    borderInlineStartColor?: Property<BorderColor>;
    borderInlineStartStyle?: Property<BorderStyle>;
    borderInlineStartWidth?: Property<BorderWidth>;
    borderInlineStyle?: Property<BorderStyle>;
    borderInlineWidth?: Property<BorderWidth>;
    borderLeft?: Property<Border>;
    borderLeftBottomRadius?: Property<BorderRadius>;
    borderLeftColor?: Property<BorderColor>;
    borderLeftRadius?: Property<BorderRadius>;
    borderLeftStyle?: Property<BorderStyle>;
    borderLeftTopRadius?: Property<BorderRadius>;
    borderLeftWidth?: Property<BorderWidth>;
    borderRadius?: Property<BorderRadius>;
    borderRight?: Property<Border>;
    borderRightBottomRadius?: Property<BorderRadius>;
    borderRightColor?: Property<BorderColor>;
    borderRightRadius?: Property<BorderRadius>;
    borderRightStyle?: Property<BorderStyle>;
    borderRightTopRadius?: Property<BorderRadius>;
    borderRightWidth?: Property<BorderWidth>;
    borderSpacing?: Property<BorderSpacing>;
    borderStartEndRadius?: Property<BorderRadius>;
    borderStartStartRadius?: Property<BorderRadius>;
    borderStyle?: Property<BorderStyle>;
    borderTop?: Property<Border>;
    borderTopColor?: Property<BorderColor>;
    borderTopLeftRadius?: Property<BorderRadius>;
    borderTopRadius?: Property<BorderRadius>;
    borderTopRightRadius?: Property<BorderRadius>;
    borderTopStyle?: Property<BorderStyle>;
    borderTopWidth?: Property<BorderWidth>;
    borderWidth?: Property<BorderWidth>;
    bottom?: Property<Dimension>;
    boxDecorationBreak?: Property<BoxDecorationBreak>;
    boxShadow?: Property<BoxShadow>;
    boxSizing?: Property<BoxSizing>;
    breakAfter?: Property<Break>;
    breakBefore?: Property<Break>;
    breakInside?: Property<BreakInside>;
    captionSide?: Property<CaptionSide>;
    caret?: Property<Caret>;
    caretColor?: Property<CaretColor>;
    caretShape?: Property<CaretShape>;
    clear?: Property<Clear>;
    clip?: Property<Clip>;
    clipPath?: Property<ClipPath>;
    clipRule?: Property<ClipRule>;
    color?: Property<Color>;
    colorAdjust?: Property<ColorAdjust>;
    colorInterpolation?: Property<ColorInterpolation>;
    colorInterpolationFilters?: Property<ColorInterpolation>;
    colorScheme?: Property<ColorScheme>;
    columnCount?: Property<ColumnCount>;
    columnFill?: Property<ColumnFill>;
    columnGap?: Property<Gap>;
    columnRule?: Property<ColumnRule>;
    columnRuleColor?: Property<ColumnRuleColor>;
    columnRuleStyle?: Property<ColumnRuleStyle>;
    columnRuleWidth?: Property<ColumnRuleWidth>;
    columnSpan?: Property<ColumnSpan>;
    columnWidth?: Property<ColumnWidth>;
    columns?: Property<Columns>;
    contain?: Property<Contain>;
    containIntrinsicSize?: Property<ContainIntrinsicSize>;
    content?: Property;
    contentVisibility?: Property<ContentVisibility>;
    counterIncrement?: Property<Counter>;
    counterReset?: Property<Counter>;
    counterSet?: Property<Counter>;
    cursor?: Property<Cursor>;
    direction?: Property<Direction>;
    display?: Property<Display>;
    dominantBaseline?: Property<DominantBaseline>;
    elevation?: Property<Elevation>;
    emptyCells?: Property<EmptyCells>;
    fill?: Property<Fill>;
    fillOpacity?: Property<FillOpacity>;
    fillRule?: Property<FillRule>;
    filter?: Property<Filter>;
    flex?: Property<Flex>;
    flexBasis?: Property<FlexBasis>;
    flexDirection?: Property<FlexDirection>;
    flexFlow?: Property<FlexFlow>;
    flexGrow?: Property<FlexGrow>;
    flexShrink?: Property<FlexShrink>;
    flexWrap?: Property<FlexWrap>;
    float?: Property<Float>;
    floodColor?: Property<FloodColor>;
    floodOpacity?: Property<FloodOpacity>;
    font?: Property<Font>;
    fontFamily?: Property<FontFamily>;
    fontFeatureSettings?: Property<FontFeatureSettings>;
    fontKerning?: Property<FontKerning>;
    fontLanguageOverride?: Property<FontLanguageOverride>;
    fontOpticalSizing?: Property<FontOpticalSizing>;
    fontSize?: Property<FontSize>;
    fontSizeAdjust?: Property<FontSizeAdjust>;
    fontStretch?: Property<FontStretch>;
    fontStyle?: Property<FontStyle>;
    fontSynthesis?: Property<FontSynthesis>;
    fontVariant?: Property<FontVariant>;
    fontVariantCaps?: Property<FontVariantCaps>;
    fontVariantEastAsian?: Property<FontVariantEastAsian>;
    fontVariantLigatures?: Property<FontVariantLigatures>;
    fontVariantNumeric?: Property<FontVariantNumeric>;
    fontVariantPosition?: Property<FontVariantPosition>;
    fontVariantionSettings?: Property<FontVariationSettings>;
    fontWeight?: Property<FontWeight>;
    forcedColorAdjust?: Property<ForcedColorAdjust>;
    gap?: Property<Gap>;
    glyphOrientationVertical?: Property<GlyphOrientationVertical>;
    grid?: Property<Grid>;
    gridArea?: Property<GridArea>;
    gridAutoColumns?: Property<GridAutoColumns>;
    gridAutoFlow?: Property<GridAutoFlow>;
    gridAutoRows?: Property<GridAutoRows>;
    gridColumn?: Property<GridLine>;
    gridColumnEnd?: Property<GridLine>;
    gridColumnGap?: Property<Gap>;
    gridColumnStart?: Property<GridLine>;
    gridGap?: Property<Gap>;
    gridRow?: Property<GridLine>;
    gridRowEnd?: Property<GridLine>;
    gridRowGap?: Property<Gap>;
    gridRowStart?: Property<GridLine>;
    gridTemplate?: Property<GridTemplate>;
    gridTemplateAreas?: Property<GridTemplate>;
    gridTemplateColumns?: Property<GridTemplateColumns>;
    gridTemplateRows?: Property<GridTemplateRows>;
    hangingPunctuation?: Property<HangingPunctuation>;
    height?: Property<Size>;
    hyphens?: Property<Hyphens>;
    iconSize?: Property<Size>;
    imageOrientation?: Property<ImageOrientation>;
    imageRendering?: Property<ImageRendering>;
    imageResolution?: Property<ImageResolution>;
    initialLetter?: Property<InitialLetter>;
    inlineSize?: Property<InlineSize>;
    inset?: Property<Inset>;
    insetBlock?: Property<Inset>;
    insetBlockEnd?: Property<Inset>;
    insetBlockStart?: Property<Inset>;
    insetInline?: Property<Inset>;
    insetInlineEnd?: Property<Inset>;
    insetInlineStart?: Property<Inset>;
    isolation?: Property<Isolation>;
    justifyContent?: Property<JustifyContent>;
    justifyItems?: Property<JustifyItems>;
    justifySelf?: Property<JustifySelf>;
    left?: Property<Dimension>;
    letterSpacing?: Property<LetterSpacing>;
    lightingColor?: Property<LightingColor>;
    lineBreak?: Property<LineBreak>;
    lineClamp?: Property<LineClamp>;
    lineHeight?: Property<LineHeight>;
    lineHeightStep?: Property<LineHeightStep>;
    listStyle?: Property<ListStyle>;
    listStyleImage?: Property;
    listStylePosition?: Property;
    listStyleType?: Property;
    margin?: Property<Margin>;
    marginBlock?: Property<Margin>;
    marginBlockEnd?: Property<Margin>;
    marginBlockStart?: Property<Margin>;
    marginBottom?: Property<Margin>;
    marginHorizontal?: Property<Margin>;
    marginInline?: Property<Margin>;
    marginInlineEnd?: Property<Margin>;
    marginInlineStart?: Property<Margin>;
    marginLeft?: Property<Margin>;
    marginRight?: Property<Margin>;
    marginTop?: Property<Margin>;
    marginVertical?: Property<Margin>;
    marker?: Property<Marker>;
    markerEnd?: Property<Marker>;
    markerMid?: Property<Marker>;
    markerStart?: Property<Marker>;
    mask?: Property<Mask>;
    maskBorder?: Property<MaskBorder>;
    maskBorderMode?: Property<MaskBorderMode>;
    maskBorderOutset?: Property<MaskBorderOutset>;
    maskBorderRepeat?: Property<MaskBorderRepeat>;
    maskBorderSlice?: Property<MaskBorderSlice>;
    maskBorderSource?: Property<MaskBorderSource>;
    maskBorderWidth?: Property<MaskBorderWidth>;
    maskClip?: Property<MaskClip>;
    maskComposite?: Property<MaskComposite>;
    maskMode?: Property<MaskMode>;
    maskOrigin?: Property<MaskOrigin>;
    maskPosition?: Property<MaskPosition>;
    maskReference?: Property<MaskReference>;
    maskRepeat?: Property<MaskRepeat>;
    maskSize?: Property<BackgroundSize>;
    maskType?: Property<MaskType>;
    maxBlockSize?: Property<Size>;
    maxHeight?: Property<Size>;
    maxInlineSize?: Property<Size>;
    maxLines?: Property<MaxLines>;
    maxWidth?: Property<Size>;
    minBlockSize?: Property<Size>;
    minHeight?: Property<Size>;
    minInlineSize?: Property<Size>;
    minWidth?: Property<Size>;
    mixBlendMode?: Property<MixBlendMode>;
    objectFit?: Property<ObjectFit>;
    objectPosition?: Property<ObjectPosition>;
    offset?: Property<Offset>;
    offsetAnchor?: Property<OffsetAnchor>;
    offsetDistance?: Property<OffsetDistance>;
    offsetPath?: Property<OffsetPath>;
    offsetPosition?: Property<OffsetPosition>;
    offsetRotate?: Property<OffsetRotate>;
    opacity?: Property<Opacity>;
    order?: Property<Order>;
    orphans?: Property<Orphans>;
    outline?: Property<Outline>;
    outlineColor?: Property<OutlineColor>;
    outlineOffset?: Property<OutlineOffset>;
    outlineStyle?: Property<OutlineStyle>;
    outlineWidth?: Property<OutlineWidth>;
    overflow?: Property<Overflow>;
    overflowAnchor?: Property<OverflowAnchor>;
    overflowBlock?: Property<Overflow>;
    overflowClipMargin?: Property<OverflowClipMargin>;
    overflowInline?: Property<Overflow>;
    overflowWrap?: Property<OverflowWrap>;
    overflowX?: Property<Overflow>;
    overflowY?: Property<Overflow>;
    overscrollBehavior?: Property<OverscrollBehavior>;
    overscrollBehaviorBlock?: Property<OverscrollBehavior>;
    overscrollBehaviorInline?: Property<OverscrollBehavior>;
    overscrollBehaviorX?: Property<OverscrollBehavior>;
    overscrollBehaviorY?: Property<OverscrollBehavior>;
    padding?: Property<Padding>;
    paddingBlock?: Property<Padding>;
    paddingBlockEnd?: Property<Padding>;
    paddingBlockStart?: Property<Padding>;
    paddingBottom?: Property<Padding>;
    paddingHorizontal?: Property<Padding>;
    paddingInline?: Property<Padding>;
    paddingInlineEnd?: Property<Padding>;
    paddingInlineStart?: Property<Padding>;
    paddingLeft?: Property<Padding>;
    paddingRight?: Property<Padding>;
    paddingTop?: Property<Padding>;
    paddingVertical?: Property<Padding>;
    pageBreakAfter?: Property<PageBreak>;
    pageBreakBefore?: Property<PageBreak>;
    pageBreakInside?: Property<PageBreakInside>;
    perspective?: Property<Perspective>;
    perspectiveOrigin?: Property<PerspectiveOrigin>;
    placeContent?: Property<PlaceContent>;
    placeItems?: Property<PlaceItems>;
    placeSelf?: Property<PlaceSelf>;
    pointerEvents?: Property<PointerEvents>;
    position?: Property<Position>;
    quotes?: Property<Quotes>;
    resize?: Property<Resize>;
    right?: Property<Dimension>;
    rowGap?: Property<Gap>;
    rubyAlign?: Property<RubyAlign>;
    rubyMerge?: Property<RubyMerge>;
    rubyPosition?: Property<RubyPosition>;
    scrollBehavior?: Property<ScrollBehavior>;
    scrollMargin?: Property<ScrollMargin>;
    scrollMarginBlock?: Property<ScrollMargin>;
    scrollMarginBlockEnd?: Property<ScrollMargin>;
    scrollMarginBlockStart?: Property<ScrollMargin>;
    scrollMarginBottom?: Property<ScrollMargin>;
    scrollMarginInline?: Property<ScrollMargin>;
    scrollMarginInlineEnd?: Property<ScrollMargin>;
    scrollMarginInlineStart?: Property<ScrollMargin>;
    scrollMarginLeft?: Property<ScrollMargin>;
    scrollMarginRight?: Property<ScrollMargin>;
    scrollMarginTop?: Property<ScrollMargin>;
    scrollPadding?: Property<ScrollPadding>;
    scrollPaddingBlock?: Property<ScrollPadding>;
    scrollPaddingBlockEnd?: Property<ScrollPadding>;
    scrollPaddingBlockStart?: Property<ScrollPadding>;
    scrollPaddingBottom?: Property<ScrollPadding>;
    scrollPaddingInline?: Property<ScrollPadding>;
    scrollPaddingInlineEnd?: Property<ScrollPadding>;
    scrollPaddingInlineStart?: Property<ScrollPadding>;
    scrollPaddingLeft?: Property<ScrollPadding>;
    scrollPaddingRight?: Property<ScrollPadding>;
    scrollPaddingTop?: Property<ScrollPadding>;
    scrollSnapAlign?: Property<ScrollSnapAlign>;
    scrollSnapStop?: Property<ScrollSnapStop>;
    scrollSnapType?: Property<ScrollSnapType>;
    scrollbarColor?: Property<ScrollbarColor>;
    scrollbarGutter?: Property<ScrollbarGutter>;
    scrollbarWidth?: Property<ScrollbarWidth>;
    shapeImageThreshold?: Property<ShapeImageThreshold>;
    shapeMargin?: Property<ShapeMargin>;
    shapeOutside?: Property<ShapeOutside>;
    speak?: Property<Speak>;
    stroke?: Property<Stroke>;
    strokeDasharray?: Property<StrokeDasharray>;
    strokeDashoffset?: Property<StrokeDashoffset>;
    strokeLinecap?: Property<StrokeLinecap>;
    strokeLinejoin?: Property<StrokeLinejoin>;
    strokeMiterlimit?: Property<StrokeMiterlimit>;
    strokeOpacity?: Property<StrokeOpacity>;
    strokeWidth?: Property<StrokeWidth>;
    tabSize?: Property<TabSize>;
    tableLayout?: Property<TableLayout>;
    textAlign?: Property<TextAlign>;
    textAlignLast?: Property<TextAlignLast>;
    textCombineUpright?: Property<TextCombineUpright>;
    textDecoration?: Property<TextDecoration>;
    textDecorationColor?: Property<TextDecorationColor>;
    textDecorationLine?: Property<TextDecorationLine>;
    textDecorationSkipInk?: Property<TextDecorationSkipInk>;
    textDecorationStyle?: Property<TextDecorationStyle>;
    textDecorationThickness?: Property<TextDecorationThickness>;
    textEmphasis?: Property<TextEmphasis>;
    textEmphasisColor?: Property<TextEmphasisColor>;
    textEmphasisPosition?: Property<TextEmphasisPosition>;
    textEmphasisStyle?: Property<TextEmphasisStyle>;
    textIndent?: Property<TextIndent>;
    textJustify?: Property<TextJustify>;
    textOrientation?: Property<TextOrientation>;
    textOverflow?: Property<TextOverflow>;
    textShadow?: Property<TextShadow>;
    textTransform?: Property<TextTransform>;
    textUnderlineOffset?: Property<TextUnderlineOffset>;
    textUnderlinePosition?: Property<TextUnderlinePosition>;
    top?: Property<Dimension>;
    transform?: Property<Transform>;
    transformBox?: Property<TransformBox>;
    transformOrigin?: Property<TransformOrigin>;
    transformStyle?: Property<TransformStyle>;
    transition?: Property<Transition>;
    transitionDelay?: Property<TransitionDelay>;
    transitionDuration?: Property<TransitionDuration>;
    transitionProperty?: Property<TransitionProperty>;
    transitionTimingFunction?: Property<TransitionTimingFunction>;
    unicodeBidi?: Property<UnicodeBidi>;
    userSelect?: Property<UserSelect>;
    verticalAlign?: Property<VerticalAlign>;
    visibility?: Property<Visibility>;
    webkitPrintColorAdjust?: Property<ColorAdjust>;
    webkitTapHighlightColor?: Property<Color>;
    whiteSpace?: Property<WhiteSpace>;
    widows?: Property<Widows>;
    width?: Property<Size>;
    willChange?: Property<WillChange>;
    wordBreak?: Property<WordBreak>;
    wordSpacing?: Property<WordSpacing>;
    wordWrap?: Property<WordWrap>;
    writingMode?: Property<WritingMode>;
    zIndex?: Property<ZIndex>;
}
export {};
