import { EventAddOptions, EventCallback, EventElement, EventRemoveOptions } from '../types/dom';
export declare const isServer: boolean;
export declare const isMobile: boolean;
export declare const requestAnimationFrame: ((callback: (() => void)) => void);
/**
 * Attaches events to the given element.
 */
export declare const addEventListener: (el: EventElement, events: string[], callback: EventCallback, options?: EventAddOptions) => void;
/**
 * Attaches events to the given element for once.
 */
export declare const addEventListenerOnce: (el: EventElement, events: string[], callback: EventCallback, addOptions?: EventAddOptions, removeOptions?: EventRemoveOptions) => void;
/**
 * Returns a function, that, as long as it continues to be invoked, will not be triggered.
 */
export declare const debounce: (func: Function, wait?: number) => (...args: any[]) => void;
/**
 * Displays the given message if it is not prod mode.
 */
export declare const displayWarning: (msg: string) => void;
/**
 * Removes events from the given element.
 */
export declare const removeEventListener: (el: EventElement, events: string[], callback: EventCallback, options?: EventRemoveOptions) => void;
