"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.merge = exports.isObject = void 0;
/**
 * Checks if item is a clonable object.
 *
 * @param item
 */
const isClonableObject = item => (typeof item === 'object'
    && item !== null
    && !(item instanceof RegExp));
/**
 * Check if item is an actual object.
 *
 * @param item
 */
const isObject = item => (isClonableObject(item)
    && !Array.isArray(item));
exports.isObject = isObject;
/**
 * Merges two objects.
 *
 * @param source
 * @param target
 */
const merge = (source, target) => {
    const result = Object.assign({}, source);
    for (const i in target) {
        if (target.hasOwnProperty(i)) {
            if ((0, exports.isObject)(result[i]) && (0, exports.isObject)(target[i])) {
                result[i] = (0, exports.merge)(result[i], target[i]);
            }
            else {
                result[i] = target[i];
            }
        }
    }
    return result;
};
exports.merge = merge;
